# TexGen File Reference

`#include <osg/Plane>`
`#include <osg/StateAttribute>`

Include dependency graph for TexGen:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_TEXGEN 1
#define | GL_NORMAL_MAP_ARB 0x8511
#define | GL_REFLECTION_MAP_ARB 0x8512

## Define Documentation

#define GL_NORMAL_MAP_ARB 0x8511

#define GL_REFLECTION_MAP_ARB 0x8512

#define OSG_TEXGEN 1